# class Exception

### Public Class Methods

yaml_new( klass, tag, val ) click to toggle source

    # File lib/puppet/util/zaml.rb, line 262
    def self.yaml_new( klass, tag, val )
      o = YAML.object_maker( klass, {} ).exception(val.delete( 'message'))
      val.each_pair do |k,v|
        o.instance_variable_set("@#{k}", v)
      end
      o
    end

### Public Instance Methods

to_zaml(z) click to toggle source

    # File lib/puppet/util/zaml.rb, line 247
    def to_zaml(z)
      z.emit(zamlized_class_name(Exception))
      z.nested {
        z.nl("message: ")
        message.to_zaml(z)
      }
    end